#include "UserTable.h"
#include "User.h"
#include <cassert>

int main() {
    // Two identical users
    User u1 = User(1234, "Name Nameson");
    User u2 = User(1234, "Name Nameson");

    assert(u1.getName() == u2.getName());
    assert(u1.getCardNbr() == u2.getCardNbr());

    // Two different users
    User u3 = User(1200, "Name Surname");
    User u4 = User(1201, "Name Nameson");

    assert(u3.getName() != u4.getName());
    assert(u3.getCardNbr() != u4.getCardNbr());

    UserTable ut1 = UserTable("users.txt");
}
